//------------------------------------------------------------------------------
// GPL LISENCE (short)
//------------------------------------------------------------------------------
/*
 * Copyright (c) 2014 R1KO

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 * ChangeLog:
		1.0.0 -	Релиз
*/
#pragma semicolon 1

#include <sourcemod>
#include <sdktools>
#include <vip_core>

public Plugin:myinfo =
{
	name = "[VIP] С4",
	author = "R1KO (skype: vova.andrienko1)",
	version = "1.0.0 dev"
};

#define VIP_С4	"С4"

public VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(VIP_С4, BOOL);

	VIP_HookClientSpawn(OnPlayerSpawn);
}

public OnPlayerSpawn(iClient, iTeam, bool:bIsVIP)
{
	if(bIsVIP && iTeam == 2 && VIP_IsClientFeatureUse(iClient, VIP_С4) && GetPlayerWeaponSlot(iClient, 4) == -1)
	{
		GivePlayerItem(iClient, "weapon_c4");
	}
}